<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title> ContextManager Tango Class User&lsquo;s Guide </title>
</head>
<body text="Black" bgcolor="White" link="Blue" vlink="Purple" alink="Red">
<hr>
<br>
<center><h2><u><b> ContextManager Tango Java Class </b></u></h2></center>	<br><br>
	<ul>
		<font size="+1"><u><b> Contents : </b></u></font>
		<ul>
			<li> <a href="FullDocument.html#description">  Description  </a>
			<li> <a href="FullDocument.html#properties">   Properties   </a>
			<li> <a href="FullDocument.html#commands">     Commands     </a>
			<ul>
				<li> <a href="FullDocument.html#cmdState"> State </a>
				<li> <a href="FullDocument.html#cmdStatus"> Status </a>
			</ul>
			<li> <a href="FullDocument.html#attributes">   Attributes   </a>
			<ul>
				<li> <a href="FullDocument.html#attrCurrentContext"> CurrentContext </a>
				<li> <a href="FullDocument.html#attrErrorList"> ErrorList </a>
			</ul>
			<li> <a href="FullDocument.html#states">       States       </a>
		</ul>
	</ul>
	<hr>
<br><br>
<a name="description"> </a>
<ul>
	<br><br><br>
	<table border="0" width="100%">
		<Tr>
			<td> <font size="+1"><u><b> ContextManager Class Identification : </b></u></font> </td>
			<td> <font size="+1"><u><b> ContextManager Class Inheritance : </b></u></font> </td>
		</tr>
		<td><ul>
			<table border="0">
				<Tr>
					<td> Contact </td><td> : at esrf.fr - accelerator-control</td>
				</tr>
				<tr>
					<td> Class Family </td><td> : SoftwareSystem
				</tr>
				<tr>
					<td> Platform </td><td> : All Platforms </td>
				</tr>
				<tr>
					<td> Bus </td><td> : Not Applicable </td>
				</tr>
				<tr>
					<td> Manufacturer </td><td> : none </td>
				</tr>
				<tr>
					<td> Manufacturer ref.</td><td> :  </td>
				</tr>
			</Table>
		</ul></td>
		<td>
			<ul><li> <a href="http://www.esrf.eu/computing/cs/tango/tango_doc/kernel_doc/tango_java_api/" target="new"> Tango::DeviceImpl</a></li>
			<ul> <li> ContextManager</li>
			<br>
			<br>
			<br>
			<br>
			<br>
		</td>
	</Table>
	<br><br><br>
	<font size="+1"><u><b> ContextManager Class Description : </b></u></font>
	<br><br>
	<ul>
		This class is able to get context calendar from property.<Br>
		And manage context changes to update HDB++ manager devices.
		
		<!---  /*PROTECTED REGION ID(FullDocument.html) ENABLED START*/  --->
			<!--- Add your own documentation, pictures, links,.... --->
			
		<!---  /*PROTECTED REGION END*/  --->
		
	</ul>
</ul>
<br><br>
<hr>
<a name="properties"> </a>
<br><br><br>
<font size="+1"><u><b> ContextManager  Properties : </b></u></font>
<br><br><br>
<font size="+1"><u><b> There is no class properties </b></u></font>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=4> <font size=+1> <center><b> Device Properties </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Description </b></center> </td>
		<td> <center><b> Type </b></center> </td>
		<td> <center><b> Default Value </b></center> </td>
	</tr>
	<tr>
		<td> ContextDates </td>
		<td> Defines context names and starting date and time as follow:<Br>
			Context1:   dd/mm/yy  hh:mm<Br>
			Context2:   dd/mm/yy  hh:mm<Br>
			Context3:   dd/mm/yy  hh:mm </td>
		<td> String[] </td>
		<td> none </td>
	</tr>
	<tr>
		<td> RefreshPeriod </td>
		<td> Send current context every period even if context did not change.<Br>
			To update if server has been restarted.<Br>
			(in seconds) </td>
		<td> int </td>
		<td> 300 <br> </td>
	</tr>
</table>
<br><br>
<hr>
<a name="commands"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=5> <font size=+1> <center><b> ContextManager Class Commands </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Input type </b></center> </td>
		<td> <center><b> Output type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="CmdState.html"> State </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STATE </td>
		<td> OPERATOR </td>
		<td> This command gets the device state (stored in its device_state data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdStatus.html"> Status </a> </td>
		<td> DEV_VOID </td>
		<td> CONST_DEV_STRING </td>
		<td> OPERATOR </td>
		<td> This command gets the device status (stored in its device_status data member) and returns it to the caller. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdState"> </a>
<br><br><br>
<font size="+1"><u><b> Command State : </b></u></font>
<ul>
	This command gets the device state (stored in its device_state data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> State Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STATE </td>
		<td> Device state </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdStatus"> </a>
<br><br><br>
<font size="+1"><u><b> Command Status : </b></u></font>
<ul>
	This command gets the device status (stored in its device_status data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Status Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::CONST_DEV_STRING </td>
		<td> Device status </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br>
<hr>
<a name="attributes"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=8> <font size=+1> <center><b> ContextManager Class Attributes </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Inherited </b></center> </td>
		<td> <center><b> Abstract </b></center> </td>
		<td> <center><b> Attr. type </b></center> </td>
		<td> <center><b> R/W type </b></center> </td>
		<td> <center><b> Data type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="AttrCurrentContext.html"> CurrentContext </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ </td>
		<td> Tango::DEV_STRING </td>
		<td> OPERATOR </td>
		<td> The current context </td>
	</tr>
	<tr>
		<td> <a href="AttrErrorList.html"> ErrorList </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Spectrum </td>
		<td> READ </td>
		<td> Tango::DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Errors during writing context on HDB devices </td>
	</tr>
</table>
<br><br>
<hr>
<br><br>
<font size="+1"><u><b> There is no dynamic attribute defined. </b></u></font>
<br><br>
<hr>
<a name="attrCurrentContext"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute CurrentContext : </b></u></font>
<ul>
	The current context
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_STRING </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> 3000 </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> Context </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrErrorList"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute ErrorList : </b></u></font>
<ul>
	Errors during writing context on HDB devices
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Spectrum  ( 50 ) </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_STRING </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> 3000 </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> Error list </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<br><br>
<hr>
<a name="states"> </a>
<br><br><br><br>
<font size="+1"><u><b> There is no state defined </b></u></font>
</body>
</html>
